Import unsigned Mass Payment in ISO20022 format
OpenAPI 0.3
Варианты
- Паблик
Операции API
POST /iso20022 — Import of unsigned Mass payment in ISO20022 format
This method is deprecated. Use the [new `/domestic-payments/v2/transfers/iso20022/unsigned`](https://developer.raif.ru/docs/api/domestic-payments/unsigned-domestic-payment) instead.
{
"tags": [
"cib-rur-payment-controller"
],
"summary": "Import of unsigned Mass payment in ISO20022 format",
"description": "This method is deprecated. Use the [new `/domestic-payments/v2/transfers/iso20022/unsigned`](https://developer.raif.ru/docs/api/domestic-payments/unsigned-domestic-payment) instead.\n",
"operationId": "importMessageIso20022",
"security": [
{
"bearerAuth": []
}
],
"parameters": [
{
"name": "Id-Token",
"in": "header",
"required": true,
"schema": {
"type": "string"
}
}
],
"requestBody": {
"content": {
"text/plain": {
"schema": {
"type": "string"
}
},
"application/xml": {
"schema": {
"type": "string"
}
}
},
"required": true
},
"responses": {
"200": {
"description": "The message successfully is accepted by the bank",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"400": {
"description": "XML validation error",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"401": {
"description": "Authorization error",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"403": {
"description": "An access is denied",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"413": {
"description": "Size of the file exceeds the limit"
},
"500": {
"description": "Internal Server Error"
}
}
}GET /iso20022/message/{msgId}/status — Mass payment status receipt in ISO20022 format
This method is deprecated. Use the [new `/domestic-payments/v2/transfers/iso20022/{msgId}/status`](https://developer.raif.ru/docs/api/domestic-payments/domestic-package-status) instead.
{
"tags": [
"cib-rur-payment-controller"
],
"summary": "Mass payment status receipt in ISO20022 format",
"description": "This method is deprecated. Use the [new `/domestic-payments/v2/transfers/iso20022/{msgId}/status`](https://developer.raif.ru/docs/api/domestic-payments/domestic-package-status) instead.\n",
"operationId": "getMessageIso20022Status",
"security": [
{
"bearerAuth": []
}
],
"parameters": [
{
"name": "Id-Token",
"in": "header",
"required": true,
"schema": {
"type": "string"
}
},
{
"name": "msgId",
"in": "path",
"required": true,
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"description": "Status has been successfully received",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"401": {
"description": "Authorization error",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"403": {
"description": "An access is denied",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"404": {
"description": "Document not found",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"500": {
"description": "Internal Server Error"
}
}
}GET /iso20022/message/{msgId}/status/full — Mass payment detailed status receipt in ISO20022 format
This method is deprecated. Use the [new `/domestic-payments/v2/transfers/iso20022/{msgId}/status/full`](https://developer.raif.ru/docs/api/domestic-payments/domestic-package-status-full) instead.
{
"tags": [
"cib-rur-payment-controller"
],
"summary": "Mass payment detailed status receipt in ISO20022 format",
"description": "This method is deprecated. Use the [new `/domestic-payments/v2/transfers/iso20022/{msgId}/status/full`](https://developer.raif.ru/docs/api/domestic-payments/domestic-package-status-full) instead.\n",
"operationId": "getMessageIso20022FullStatus",
"security": [
{
"bearerAuth": []
}
],
"parameters": [
{
"name": "Id-Token",
"in": "header",
"required": true,
"schema": {
"type": "string"
}
},
{
"name": "msgId",
"in": "path",
"required": true,
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"description": "Status has been successfully received",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"401": {
"description": "Authorization error",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"403": {
"description": "An access is denied",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"404": {
"description": "Document not found",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"500": {
"description": "Internal Server Error"
}
}
}GET /iso20022/message/{msgId}/payment/{paymentId}/status — Status receipt in ISO20022 format for the payment within the Mass payment
This method is deprecated. Use the [new `/domestic-payments/v2/transfers/iso20022/{msgId}/payments/{pmtInfId}/status`](https://developer.raif.ru/docs/api/domestic-payments/domestic-payment-status) instead.
{
"tags": [
"cib-rur-payment-controller"
],
"summary": "Status receipt in ISO20022 format for the payment within the Mass payment",
"description": "This method is deprecated. Use the [new `/domestic-payments/v2/transfers/iso20022/{msgId}/payments/{pmtInfId}/status`](https://developer.raif.ru/docs/api/domestic-payments/domestic-payment-status) instead.\n",
"operationId": "getPaymentIso20022Status",
"security": [
{
"bearerAuth": []
}
],
"parameters": [
{
"name": "Id-Token",
"in": "header",
"required": true,
"schema": {
"type": "string"
}
},
{
"name": "msgId",
"in": "path",
"required": true,
"schema": {
"type": "string"
}
},
{
"name": "paymentId",
"in": "path",
"required": true,
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"description": "Status has been successfully received",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"401": {
"description": "Authorization error",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"403": {
"description": "An access is denied",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"404": {
"description": "Document not found",
"content": {
"text/plain": {},
"application/xml": {}
}
},
"500": {
"description": "Internal Server Error"
}
}
}Схемы и примеры
{
"securitySchemes": {
"bearerAuth": {
"type": "http",
"scheme": "bearer",
"bearerFormat": "JWT"
}
}
}